### Function

# EDataServer NamedParameters new

since: 3.8

#### Declaration [src]

    ENamedParameters*
    e_named_parameters_new (
      void
    )

#### Description [src]

Creates a new instance of an `ENamedParameters`. This should be freed with e_named_parameters_free(), when no longer needed. Names are compared case insensitively.

The structure is not thread safe, if the caller requires thread safety, then it should provide it on its own.

Available since: 3.8

#### Return value

Type: `ENamedParameters`

Newly allocated `ENamedParameters`.

The caller of the function takes ownership of the data, and is responsible for freeing it.